summaryrefslogtreecommitdiff
path: root/tests.deploy/deploy-rawdisk.script
diff options
context:
space:
mode:
authorLars Wirzenius <lars.wirzenius@codethink.co.uk>2013-01-28 18:12:52 +0000
committerLars Wirzenius <lars.wirzenius@codethink.co.uk>2013-02-06 21:13:38 +0000
commit90d52f4205be5ce1eab04f97b0e4a71973258ddd (patch)
tree8c98b818c4b47287c3646a31b65ea126d998ea0c /tests.deploy/deploy-rawdisk.script
parentdfd854a0c1ce312ec20b91762be9a344d9c47417 (diff)
downloadmorph-90d52f4205be5ce1eab04f97b0e4a71973258ddd.tar.gz
Add cmdtest for "morph deploy" and rawdisk.write
Diffstat (limited to 'tests.deploy/deploy-rawdisk.script')
-rwxr-xr-xtests.deploy/deploy-rawdisk.script31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests.deploy/deploy-rawdisk.script b/tests.deploy/deploy-rawdisk.script
new file mode 100755
index 00000000..4c01ca0d
--- /dev/null
+++ b/tests.deploy/deploy-rawdisk.script
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Test "morph deploy" by deploying to a raw disk image.
+
+
+set -eu
+
+
+. "$SRCDIR/tests.as-root/setup-build"
+cd "$DATADIR/workspace/branch1"
+"$SRCDIR/scripts/test-morph" build linux-system
+"$SRCDIR/scripts/test-morph" --log "$DATADIR/deploy.log" \
+ deploy rawdisk linux-system "$DATADIR/disk.img" > /dev/null
+[ -e "$DATADIR/disk.img" ]
+